Subject: bug#1305: All code that currently beeps should use visual bellinstead

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Nov 2008 21:07:29 -0500

> No, that's not the intent.  The intent is to make the visible bell the
> default.  To turn it off, you turn off visible-bell, which makes Emacs
> beep again, and then turn off the speakers.

Indeed.  A good reason to use visible-bell by default is that we have no
guarantee that the bell can actually be heard (e.g. I usually turn it
off because I usually consider that a computer should be as close to
silent as possible, except when I specifically ask otherwise (.e.g
listing to music or whatching a video)).

The other reason is that the beep can annoy other people than the user,
whereas the visible-bell is very unlikely to annoy other people than the
user herself.

        Stefan